Subject: Re: What's cooking in git.git (Jan 2009, #02; Sun, 11)

From: Jakub Narebski <[email-masked]>
Date: Sun, 11 Jan 2009 06:33:33 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> ----------------------------------------------------------------
> [Actively cooking]
>
> * sc/gitweb-category (Fri Dec 12 00:45:12 2008 +0100) 3 commits
>  - gitweb: Optional grouping of projects by category
>  - gitweb: Split git_project_list_body in two functions
>  - gitweb: Modularized git_get_project_description to be more generic

This I think needs some further cooking.  I guess with addition of one
more patch to series categories could be sorted together with projects
they contain, and not always have to be in fixed ordering.
 
> * gb/gitweb-patch (Thu Dec 18 08:13:19 2008 +0100) 4 commits
>  - gitweb: link to patch(es) view in commit(diff) and (short)log view
>  - gitweb: add patches view
>  - gitweb: change call pattern for git_commitdiff
>  - gitweb: add patch view

If I remember correctly the only point of discussion is calling
convention for git_commitdiff, and whether 'patches' view should
(re)use git_commitdiff or use its own subroutine.

-- 
Jakub Narebski
Poland
ShadeHawk on #git